Feature: Directory View

  Scenario: Navigate from favorites to doc
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url

  Scenario: Right colums
    Given I am a logged in admin
    And There is one directory with other directories and docs
    When I visit the directory url
    Then I should see the right columns

  Scenario: Sort
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can sort

  Scenario: Per page and pagination
    Given I am a logged in admin
    And There is a directory with a lot of docs
    When I visit the directory url
    Then I can paginate

  Scenario: Colums selector
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can select all 10 columns

  Scenario: View selector
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can switch between views

  Scenario: Add remove from favorites
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can add and remove from favorites "with_grid"

  Scenario: Remove
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can remove element "with_grid"

  Scenario: Bulk delete
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url

  Scenario: Can share
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can share "with grid"

  Scenario: Open directory
    Given I am a logged in admin
    And There is one directory with other directories and docs
    When I visit the directory url
    And I click on the first directory
    Then I should see sub documents
    When I click on the first directory
    Then I should not see sub documents

  Scenario: Add/Remove doc to completeness
    Given I am a logged in admin
    And There is a directory with some docs, directories and completness
    When I visit the directory url
    And I can add a doc to directory completeness
    And I can add a doc to subdirectory completeness
    And I can remove a doc from directory completeness
    And I can remove a doc from subdirectory completeness
    And I can add multiple docs to directory completeness

  Scenario: Add doc to tagset_doc
    Given I am a logged in admin
    And This is some tagset_doc with file
    When I visit the directory url
    And I can add a doc to tagset_doc
    And I can remove a doc to tagset_doc
    And I can add multiple doc to tagset_doc
    And I can remove a doc from multiple tagset_doc
    And I can remove a tagset_doc with multiple doc

  Scenario: Can classify
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can classify "with grid"

  Scenario: Can make tagset done
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can make tagset done "with grid"

  Scenario: Can validate
    Given I am a logged in admin
    And There is a doc to validate in a directory
    When I visit the directory url
    Then I can validate "with grid"